	REM DRAWS ROSES (OR SO BILL SEZ)
	DIM DRAD,DANG,ANGLE,R,A$(1)
	DIM SETXY$/:1B," "/,DRAWLINE$/:1B,"&"/
	DIM CLEARSCREEN$/:C/,CRLF$/:D,:A/
	DIM NULLS$/0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0/
	DIM FILE$(80)

	INPUT "WRITE TO WHAT FILE ? " FILE$
	CREATE #1,FILE$
	INPUT "RANDOM? (Y/N) " A$\ IF A$="Y" THEN 200
100	WRITE #0,SETXY$,"1 255"
	INPUT "ANGLE SPEED AND RADIUS INCREMENTS" DANG, DRAD
150	WRITE #1, CLEARSCREEN$
	WRITE #1,SETXY$,"1 230"
	WRITE #1,"DANG= ",NUM$(DANG),CRLF$
	WRITE #1,"DRAD =",NUM$(DRAD),CRLF$
	ANGLE=0
	WRITE #1,SETXY$,"256 128"
	FOR R=0 TO 128 STEP DRAD
		ANGLE = ANGLE + PI*DANG
		WRITE #1,DRAWLINE$,NUM$(INT(R*SIN(ANGLE)+256)),...
&			NUM$(INT(R*COS(ANGLE)+128))
		WRITE #1,NULLS$
	NEXT R
	IF A$<>"Y" THEN 100
200	DANG = RND*.9+.1
	DRAD = INT(RND*5)/2+.5
	GOTO 150

	END
